Aspell-0.60.8

Introduction à Aspell

Le paquet Aspell contient un programme interactif de vérification d'orthographe et les bibliothèques Aspell. Vous pouvez utiliser Aspell soit comme une bibliothèque soit comme un vérificateur d'orthographe indépendant.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Téléchargements supplémentaires

Vous aurez besoin de télécharger au moins un dictionnaire. Le lien ci-dessous vous amènera sur une page contenant des liens vers des dictionnaires en plusieurs langues.

Dépendances de Aspell

Requises

Which-2.21 (pour les dictionnaires)

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/aspell

Installation de Aspell

Installez Aspell en lançant les commandes suivantes :

./configure --prefix=/usr &&
make

Ce paquet n'est pas fourni avec une suite de tests.

Maintenant, en tant qu'utilisateur root :

make install &&
ln -svfn aspell-0.60 /usr/lib/aspell &&

install -v -m755 -d /usr/share/doc/aspell-0.60.8/aspell{,-dev}.html &&

install -v -m644 manual/aspell.html/* \
    /usr/share/doc/aspell-0.60.8/aspell.html &&

install -v -m644 manual/aspell-dev.html/* \
    /usr/share/doc/aspell-0.60.8/aspell-dev.html

Si vous n'envisagez pas d'installer Ispell, copiez le script enveloppe ispell 

install -v -m 755 scripts/ispell /usr/bin/

Si vous n'envisagez pas d'installer Spell, copiez le script enveloppe spell 

install -v -m 755 scripts/spell /usr/bin/

Explication des commandes

ln -svfn aspell-0.60 /usr/lib/aspell: Cette commande est utile pour la configuration des autres applications, comme enchant-2.2.8.

Configuration d'Aspell

Informations sur la configuration

Après avoir installé Aspell, vous devez paramétrer au moins un dictionnaire. Installez un ou plusieurs dictionnaires en lançant les commandes suivantes :

./configure &&
make

Maintenant, en tant qu'utilisateur root :

make install

Contenu

Programmes installés: aspell, aspell-import, precat, preunzip, prezip, prezip-bin, pspell-config, run-with-aspell, word-list-compress and optionally, ispell et spell.
Bibliothèques installées: libaspell.so et libpspell.so
Répertoires installés: /usr/include/pspell et /usr/lib/aspell-0.60

Descriptions courtes

aspell

est un outil qui peut fonctionner en remplacement de ispell -a, comme vérificateur d'orthographe indépendant, comme outil de test pour tester des fonctionnalités d'Aspell et comme outil pour la gestion de dictionnaires.

ispell

est une enveloppe d'aspell pour l'appeler en mode de compatibilité avec ispell.

spell

est une enveloppe d'aspell pour l'appeler en mode de compatibilité avec spell.

aspell-import

importe de vieux dictionnaires personnels dans Aspell.

precat

décompresse un fichier prezip sur la sortie standard.

preunzip

décompresse un fichier prezip.

prezip

est un compresseur delta de préfixe, utilisé pour compresser des listes organisées de mots ou d'autres fichiers textes semblables.

prezip-bin

est appelé par les scripts enveloppes pour effectuer la compression et la décompression.

pspell-config

affiche des informations sur l'installation de libpspell, souvent utilisé dans des scripts de construction.

run-with-aspell

est un script pour aider à utiliser Aspell en remplacement d'ispell.

word-list-compress

compresse ou décompresse des listes de mots classés pour une utilisation avec le vérificateur d'orthographe Aspell.

libaspell.so

contient des fonctions API de vérification d'orthographe.

libpspell.so

est une interface avec la bibliothèque libaspell. Toutes les fonctionnalités de vérification d'orthographe se trouvent maintenant dans libaspell mais cette bibliothèque est incluse pour une compatibilité rétroactive.

Last updated on 2020-02-17 02:46:23 +0000